com.singularsys.jep.misc.boundvariable

## Class MutableDouble

- java.lang.Object
- - java.lang.Number
  - - com.singularsys.jep.misc.boundvariable.MutableDouble

- All Implemented Interfaces:
    java.io.Serializable

      public class MutableDouble
      extends java.lang.Number

  A simple Mutable Double class. Countains a single Double value field whose value can be changed.
  Since:
    3.5
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.Double` | `val` The value of this object.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MutableDouble(double v)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `doubleValue()`
    `float` | `floatValue()`
    `int` | `intValue()`
    `long` | `longValue()`
    `void` | `setValue(double val)`

    - ### Methods inherited from class java.lang.Number

      `byteValue, shortValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### val

          public java.lang.Double val

      The value of this object.

  - ### Constructor Detail

    - #### MutableDouble

          public MutableDouble(double v)

  - ### Method Detail

    - #### intValue

          public int intValue()

      Specified by:
        `intValue` in class `java.lang.Number`

    - #### longValue

          public long longValue()

      Specified by:
        `longValue` in class `java.lang.Number`

    - #### floatValue

          public float floatValue()

      Specified by:
        `floatValue` in class `java.lang.Number`

    - #### doubleValue

          public double doubleValue()

      Specified by:
        `doubleValue` in class `java.lang.Number`

    - #### setValue

          public void setValue(double val)

Copyright © 2018 Singular Systems http://www.singularsys.com/jep